Package com.saxonica.config

## Class ProfessionalXPathFactory

- java.lang.Object
- - javax.xml.xpath.XPathFactory
  - - net.sf.saxon.xpath.XPathFactoryImpl
    - - com.saxonica.config.ProfessionalXPathFactory

- All Implemented Interfaces:
    `Configuration.ApiProvider`

      public class ProfessionalXPathFactory
      extends XPathFactoryImpl

  An implementation of the JAXP XPath Factory that creates a Professional configuration. This implementation is used when Saxon-PE is present.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.xpath.XPathFactory

      `DEFAULT_OBJECT_MODEL_URI, DEFAULT_PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProfessionalXPathFactory()` | Default constructor: this creates a Configuration as well as creating the professional XPathFactory.
    `ProfessionalXPathFactory​(ProfessionalConfiguration config)` | Constructor using a user-supplied Configuration.

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.xpath.XPathFactoryImpl

      `getConfiguration, getFeature, isObjectModelSupported, newXPath, setConfiguration, setFeature, setXPathFunctionResolver, setXPathVariableResolver`

    - ### Methods inherited from class javax.xml.xpath.XPathFactory

      `newDefaultInstance, newInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfessionalXPathFactory

          public ProfessionalXPathFactory()

      Default constructor: this creates a Configuration as well as creating the professional XPathFactory. Any documents accessed using this XPathFactory must be built using this same Configuration.

    - #### ProfessionalXPathFactory

          public ProfessionalXPathFactory​(ProfessionalConfiguration config)

      Constructor using a user-supplied Configuration. This constructor is useful if the document to be queried already exists, as it allows the configuration associated with the document to be used with this XPathFactory.
      Parameters:
        `config` - the configuration to be used. This must be a ProfessionalConfiguration.